Subject: bug#5727: 23.1.92; Clicking size-indicator-mode indicator gives wrong menu

From: "Drew Adams" <[email-masked]>
Date: Mon, 15 Mar 2010 11:29:34 -0700

emacs -Q

In GNU Emacs 23.1.92.1 (i386-mingw-nt5.1.2600)
 of 2010-02-20 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'

Click the size-indicator-mode indicator (e.g `Top') in the mode line. The menu
shown is wrong - it is the same menu as is shown when you click the line or
column number.

It should instead have the menu item `Toggle Size Indicator Mode'.

If the aim was to have some way to turn on line and column number display when
these are both off, then you might add those menu items to the one above (to
toggle size indicator mode). 

But even then this is the wrong approach. You should not click Peter to modify
Paul.